local addonName, addonTable = ...;
local utils = {};
local _

addonTable.utils = utils;

function utils.StringContains (s, sub, ...)
    if (s == nil or sub == nil or sub == "") then
        return false;
    end

    local start, stop = string.find (string.lower(s), string.lower(sub), 1, true);

    local found = (start ~= nil);

    if (found or select("#", ...) == 0) then
        return found;
    end

    return utils.StringContains (s, ...);
end

function utils.TextToList (str,...)
    local result,pat,lastPos = {},"(.-)" .. "," .. "()",1
    for part, pos in string.gmatch(str, pat) do
        table.insert(result, part); lastPos = pos
    end
    table.insert(result, string.sub(str, lastPos))
    return result
end

function utils.ListToText (plist)
    return table.concat(plist, "\n")
end
